package com.pcloud.book.personal.dao;

import com.pcloud.book.personal.entity.PcloudSkillRecord;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PcloudSkillRecordDao extends BaseDao<PcloudSkillRecord> {
    int deleteByPrimaryKey(Integer id);

    int insertSelective(PcloudSkillRecord record);

    PcloudSkillRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PcloudSkillRecord record);

    int updateByPrimaryKey(PcloudSkillRecord record);

    PcloudSkillRecord getBySkillIdAndWxId(Integer skillId, String wxUserId);

    void updateState4ResourceAndActivity(String wxUserId, String robotId, Integer id, Integer state);

    void batchUpdateState4ResourceAndActivity(String wxUserId, List<Long> skillIds, Integer i);
}